Debian Bug report logs - #544674
FindJNI.cmake is missing archs/cpus

version graph

Package: cmake; Maintainer for cmake is Modestas Vainius <modax@debian.org>; Source for cmake is src:cmake.

Reported by: Mathieu Malaterre <mathieu.malaterre@gmail.com>

Date: Wed, 2 Sep 2009 09:57:01 UTC

Severity: important

Found in versions cmake/2.8.1-2, cmake/2.6.4-1

Fixed in version cmake/2.8.1-3

Done: Modestas Vainius <modax@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://public.kitware.com/Bug/view.php?id=9611

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Wed, 02 Sep 2009 09:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Wed, 02 Sep 2009 09:57:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FindJNI.cmake is missing archs/cpus
Date: Wed, 02 Sep 2009 11:29:48 +0200
[Message part 1 (text/plain, inline)]
Package: cmake
Version: 2.6.4-1
Severity: normal


FindJNI.cmake is missing archs/cpus
See attached patch

Thanks !

-- System Information:
Debian Release: 5.0.2
  APT prefers stable
  APT policy: (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-bpo.1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages cmake depends on:
ii  cmake-data             2.6.4-1           CMake data files (modules, templat
ii  libc6                  2.9-12            GNU C Library: Shared libraries
ii  libcurl3-gnutls        7.18.2-8lenny2    Multi-protocol file transfer libra
ii  libexpat1              2.0.1-4           XML parsing C library - runtime li
ii  libgcc1                1:4.4.0-5         GCC support library
ii  libstdc++6             4.4.0-5           The GNU Standard C++ Library v3
ii  libxmlrpc-c3           1.06.27-1         A lightweight RPC library based on
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

cmake recommends no packages.

cmake suggests no packages.

-- no debconf information
[findjni.cmake.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Wed, 02 Sep 2009 11:22:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Wed, 02 Sep 2009 11:22:16 GMT) Full text and rfc822 format available.

Message #10 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 544674@bugs.debian.org
Subject: updated patch
Date: Wed, 2 Sep 2009 12:54:49 +0200
[Message part 1 (text/plain, inline)]
Please use patch #2.

-- 
Mathieu
[findjni2.cmake.patch (application/x-wine-extension-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Wed, 02 Sep 2009 11:22:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Wed, 02 Sep 2009 11:22:25 GMT) Full text and rfc822 format available.

Message #15 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 544674@bugs.debian.org
Subject: Re: updated patch
Date: Wed, 2 Sep 2009 12:55:53 +0200
Forwarded upstream too:

http://cmake.org/Bug/view.php?id=9476



-- 
Mathieu




Added indication that 544674 affects vtk Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Mon, 07 Sep 2009 05:21:03 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Mon, 07 Sep 2009 05:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Tue, 08 Sep 2009 03:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "A. Maitland Bottoms" <bottoms@debian.org>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Tue, 08 Sep 2009 03:00:09 GMT) Full text and rfc822 format available.

Message #24 received at 544674@bugs.debian.org (full text, mbox):

From: "A. Maitland Bottoms" <bottoms@debian.org>
To: 544674@bugs.debian.org
Subject: VTK #545335
Date: Mon, 7 Sep 2009 22:46:06 -0400
It appears that fixing 544674 will fix the powerpc/ppc problem
in bug 545335. It might be worth making a cmake 2.6.4-3 upload
for this including the findjni2.cmake.patch.

-Maitland




Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Tue, 08 Sep 2009 07:45:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Tue, 08 Sep 2009 07:45:37 GMT) Full text and rfc822 format available.

Message #29 received at 544674@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: "A. Maitland Bottoms" <bottoms@debian.org>, 544674@bugs.debian.org
Subject: Re: Bug#544674: VTK #545335
Date: Tue, 8 Sep 2009 10:39:18 +0300
[Message part 1 (text/plain, inline)]
Hello,

On antradienis 08 Rugsėjis 2009 05:46:06 A. Maitland Bottoms wrote:
> It appears that fixing 544674 will fix the powerpc/ppc problem
> in bug 545335. It might be worth making a cmake 2.6.4-3 upload
> for this including the findjni2.cmake.patch.

I'm currently searching for a better way how to fix the bug rather than 
hardcode numerous paths for each arch. In particular, I looking how java 
determines its jre/lib/<arch> dir. I will upload today or tomorrow.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Tue, 08 Sep 2009 09:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Tue, 08 Sep 2009 09:09:06 GMT) Full text and rfc822 format available.

Message #34 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Modestas Vainius <modestas@vainius.eu>, 544674@bugs.debian.org
Cc: "A. Maitland Bottoms" <bottoms@debian.org>
Subject: Re: Bug#544674: VTK #545335
Date: Tue, 8 Sep 2009 11:01:36 +0200
On Tue, Sep 8, 2009 at 9:39 AM, Modestas Vainius<modestas@vainius.eu> wrote:
> Hello,
>
> On antradienis 08 Rugsėjis 2009 05:46:06 A. Maitland Bottoms wrote:
>> It appears that fixing 544674 will fix the powerpc/ppc problem
>> in bug 545335. It might be worth making a cmake 2.6.4-3 upload
>> for this including the findjni2.cmake.patch.
>
> I'm currently searching for a better way how to fix the bug rather than
> hardcode numerous paths for each arch. In particular, I looking how java
> determines its jre/lib/<arch> dir. I will upload today or tomorrow.

Modestas,

  One thing I considered at some point is to use the symlinks provided
by the java package. But it seems this is broken at least for armel

https://buildd.debian.org/~luk/status/package.php?p=gdcm

On my machine
$ ls -al /usr/lib/jvm/default-java/lib/libjawt.so
lrwxrwxrwx 1 root root 30 2009-07-15 16:05
/usr/lib/jvm/default-java/lib/libjawt.so ->
../../../gcj-4.3-90/libjawt.so

2cts
-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Thu, 17 Sep 2009 07:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Thu, 17 Sep 2009 07:15:07 GMT) Full text and rfc822 format available.

Message #39 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 544674@bugs.debian.org, Denis Barbier <bouzim@gmail.com>, "A. Maitland Bottoms" <bottoms@debian.org>
Date: Thu, 17 Sep 2009 09:05:57 +0200
Please apply upstream patch that should solve this grave issue.

Link:
http://public.kitware.com/cgi-bin/viewcvs.cgi/Modules/FindJNI.cmake?root=CMake&r1=1.40&r2=1.41

Thanks

-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Thu, 17 Sep 2009 10:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Thu, 17 Sep 2009 10:45:09 GMT) Full text and rfc822 format available.

Message #44 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Modestas Vainius <modestas@vainius.eu>
Cc: 544674@bugs.debian.org, Denis Barbier <bouzim@gmail.com>, "A. Maitland Bottoms" <bottoms@debian.org>, 545335@bugs.debian.org, Luk Claes <luk@debian.org>
Subject: Re: Bug#544674:
Date: Thu, 17 Sep 2009 12:33:24 +0200
Modestats,

On Thu, Sep 17, 2009 at 12:22 PM, Modestas Vainius <modestas@vainius.eu> wrote:
> affects 544674 - vtk
> severity 544674 important
> thanks
>
> Hello,
>
> On ketvirtadienis 17 Rugsėjis 2009 10:05:57 Mathieu Malaterre wrote:
>> Please apply upstream patch that should solve this grave issue.
>>
>> Link:
>> http://public.kitware.com/cgi-bin/viewcvs.cgi/Modules/FindJNI.cmake?root=CM
>> ake&r1=1.40&r2=1.41
>
> Mathieu, my previous arguments about your patch being arch-dependent still
> hold true. I somehow missed that you reported upstream bug and I would say it
> is rather unfortunate upstream accepted your patch. So I'm not going to rush
> but talk with upstream about proper solution.

I would think that DD cannot replace whatever choice is being done upstream.

> Secondly, fixing #544674 bug will NOT fix #545335. Current FindJNI.cmake
> refers to $JAVA_HOME/ppc in the search path as it is supposed to (according to
> openjdk-6-jre-headless package).

There is no convention AFAIK. So unless you inspect all of them you
will *not* find libjawt.so.
The actual proper fix in debian would be to have all libjawt.so
provider to install the symlinks properly.

> Don't you find it weird that vtk builds just
> *fine* with FindJNI.cmake on arches it supposedly does NOT support (according
> to this bug) but fails on powerpc which it supports properly? This bug
> obviously attracted too much false attention.

No it does not build, see your own remark below.

> FWIW, from vtk debian/rules:
>
> echo JAVA_AWT_LIBRARY:FILEPATH=/usr/lib/jvm/default-
> java/jre/lib/$(DEB_HOST_ARCH_CPU)/libjawt.so >> Build/CMakeCache.txt

That's just wrong. cmake is doing system inspection. This was written
by someone not knowing the cmake enough.

> So that's where the powerpc FTBFS is coming from. It *overrides* proper value
> FindJNI sets on powerpc. It is also true that you cannot drop this workaround
> until #544674 is fixed. You will have to improve it.

You missed earlier discussion, I do not know why Maitland push the
issue over to you without the full discussion thread. If you look back
in the history reverting the change will also break in other way.
So in summary: you have to do system inspection because no DEB_*_ARCH
/ DEB_*_CPU will work on all combination of java package provider for
libjawt.so

I can understand that you would prefer another solution (I also
personnaly do), but for the time being there is no convention for
debian package providing libjawt.so and symlinks are not always
provided.
I'd really see VTK / ITK / Slicer / GDCM being considered for testing
for such a small issue that is so deeply burried in cmake internals.

cmake will soon be released so this patch will be integrated anyway.

-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Thu, 17 Sep 2009 10:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Thu, 17 Sep 2009 10:54:05 GMT) Full text and rfc822 format available.

Message #49 received at 544674@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 544674@bugs.debian.org
Cc: Denis Barbier <bouzim@gmail.com>, "A. Maitland Bottoms" <bottoms@debian.org>, 545335@bugs.debian.org, Luk Claes <luk@debian.org>
Subject: Re: Bug#544674:
Date: Thu, 17 Sep 2009 13:22:21 +0300
[Message part 1 (text/plain, inline)]
affects 544674 - vtk
severity 544674 important
thanks

Hello,

On ketvirtadienis 17 Rugsėjis 2009 10:05:57 Mathieu Malaterre wrote:
> Please apply upstream patch that should solve this grave issue.
> 
> Link:
> http://public.kitware.com/cgi-bin/viewcvs.cgi/Modules/FindJNI.cmake?root=CM
> ake&r1=1.40&r2=1.41

Mathieu, my previous arguments about your patch being arch-dependent still 
hold true. I somehow missed that you reported upstream bug and I would say it 
is rather unfortunate upstream accepted your patch. So I'm not going to rush 
but talk with upstream about proper solution.

Secondly, fixing #544674 bug will NOT fix #545335. Current FindJNI.cmake 
refers to $JAVA_HOME/ppc in the search path as it is supposed to (according to 
openjdk-6-jre-headless package). Don't you find it weird that vtk builds just 
*fine* with FindJNI.cmake on arches it supposedly does NOT support (according 
to this bug) but fails on powerpc which it supports properly? This bug 
obviously attracted too much false attention.

FWIW, from vtk debian/rules:

echo JAVA_AWT_LIBRARY:FILEPATH=/usr/lib/jvm/default-
java/jre/lib/$(DEB_HOST_ARCH_CPU)/libjawt.so >> Build/CMakeCache.txt

So that's where the powerpc FTBFS is coming from. It *overrides* proper value 
FindJNI sets on powerpc. It is also true that you cannot drop this workaround 
until #544674 is fixed. You will have to improve it.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Removed indication that 544674 affects vtk Request was from Modestas Vainius <modestas@vainius.eu> to control@bugs.debian.org. (Thu, 17 Sep 2009 10:54:08 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'grave' Request was from Modestas Vainius <modestas@vainius.eu> to control@bugs.debian.org. (Thu, 17 Sep 2009 10:54:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Thu, 17 Sep 2009 11:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Thu, 17 Sep 2009 11:15:07 GMT) Full text and rfc822 format available.

Message #58 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Modestas Vainius <modestas@vainius.eu>
Cc: 544674@bugs.debian.org, Denis Barbier <bouzim@gmail.com>, "A. Maitland Bottoms" <bottoms@debian.org>, 545335@bugs.debian.org, Luk Claes <luk@debian.org>
Subject: Re: Bug#544674:
Date: Thu, 17 Sep 2009 12:39:46 +0200
On Thu, Sep 17, 2009 at 12:33 PM, Mathieu Malaterre
<mathieu.malaterre@gmail.com> wrote:
>> echo JAVA_AWT_LIBRARY:FILEPATH=/usr/lib/jvm/default-
>> java/jre/lib/$(DEB_HOST_ARCH_CPU)/libjawt.so >> Build/CMakeCache.txt

As a side note here is the output of what is happening without those
two lines and using the old FindJNI.cmake:

https://buildd.debian.org/~luk/status/package.php?p=gdcm

Copied for later reference:
gdcm/armel tail of last log:

Scanning dependencies of target vtkgdcmJava
make[3]: Leaving directory
`/build/buildd-gdcm_2.0.12-11-armel-vYWMSv/gdcm-2.0.12/debian/build-python2.5'
make[3]: Entering directory
`/build/buildd-gdcm_2.0.12-11-armel-vYWMSv/gdcm-2.0.12/debian/build-python2.5'
[ 86%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkGDCMTestingJava.cxx.o
[ 86%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkGDCMImageReaderJava.cxx.o
[ 86%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkGDCMImageWriterJava.cxx.o
[ 86%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkGDCMMedicalImagePropertiesJava.cxx.o
[ 86%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkGDCMThreadedImageReaderJava.cxx.o
[ 87%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkImageColorViewerJava.cxx.o
[ 87%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkImageMapToWindowLevelColors2Java.cxx.o
[ 87%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkImageYBRToRGBJava.cxx.o
[ 87%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkImageRGBToYBRJava.cxx.o
[ 88%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkGDCMPolyDataReaderJava.cxx.o
[ 88%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkLookupTable16Java.cxx.o
[ 88%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkImageMapToColors16Java.cxx.o
[ 88%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkGDCMThreadedImageReader2Java.cxx.o
make[3]: *** No rule to make target
`/usr/lib/jvm/default-java/lib/libjawt.so', needed by
`bin/libvtkgdcmJava.so'.  Stop.
make[3]: Leaving directory
`/build/buildd-gdcm_2.0.12-11-armel-vYWMSv/gdcm-2.0.12/debian/build-python2.5'
make[2]: *** [Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/all] Error 2
make[2]: Leaving directory
`/build/buildd-gdcm_2.0.12-11-armel-vYWMSv/gdcm-2.0.12/debian/build-python2.5'
make[1]: *** [all] Error 2
make: *** [debian/build-python2.5-stamp] Error 2
make[1]: Leaving directory
`/build/buildd-gdcm_2.0.12-11-armel-vYWMSv/gdcm-2.0.12/debian/build-python2.5'
dpkg-buildpackage: error: debian/rules build gave error exit status 2
────────────────────────────────────────────────────────────────────────────────
Build finished at 20090907-1301
FAILED [dpkg-buildpackage died]

gdcm/powerpc tail of last log:

make[3]: Leaving directory
`/build/buildd-gdcm_2.0.12-11-powerpc-i0ZkKj/gdcm-2.0.12/debian/build-python2.5'
[ 96%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmPythonD.dir/vtkGDCMImageWriterPython.cxx.o
[ 96%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmPythonD.dir/vtkGDCMMedicalImagePropertiesPython.cxx.o
[ 97%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmPythonD.dir/vtkGDCMThreadedImageReaderPython.cxx.o
[ 97%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmPythonD.dir/vtkImageColorViewerPython.cxx.o
[ 97%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmPythonD.dir/vtkImageMapToWindowLevelColors2Python.cxx.o
[ 97%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmPythonD.dir/vtkImageYBRToRGBPython.cxx.o
[ 98%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmPythonD.dir/vtkImageRGBToYBRPython.cxx.o
[ 98%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmPythonD.dir/vtkGDCMPolyDataReaderPython.cxx.o
[ 98%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmPythonD.dir/vtkLookupTable16Python.cxx.o
[ 98%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmPythonD.dir/vtkImageMapToColors16Python.cxx.o
[ 98%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmPythonD.dir/vtkGDCMThreadedImageReader2Python.cxx.o
[ 99%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmPythonD.dir/vtkgdcmPythonInit.cxx.o
Linking CXX shared module ../../bin/libvtkgdcmsharpglue.so
make[3]: Leaving directory
`/build/buildd-gdcm_2.0.12-11-powerpc-i0ZkKj/gdcm-2.0.12/debian/build-python2.5'
[ 99%] Built target vtkgdcmsharpglue
Linking CXX shared library ../../bin/libvtkgdcmPythonD.so
make[3]: Leaving directory
`/build/buildd-gdcm_2.0.12-11-powerpc-i0ZkKj/gdcm-2.0.12/debian/build-python2.5'
[ 99%] Built target vtkgdcmPythonD
make[2]: Leaving directory
`/build/buildd-gdcm_2.0.12-11-powerpc-i0ZkKj/gdcm-2.0.12/debian/build-python2.5'
make[1]: *** [all] Error 2
make: *** [debian/build-python2.5-stamp] Error 2
make[1]: Leaving directory
`/build/buildd-gdcm_2.0.12-11-powerpc-i0ZkKj/gdcm-2.0.12/debian/build-python2.5'
dpkg-buildpackage: error: debian/rules build gave error exit status 2
────────────────────────────────────────────────────────────────────────────────


-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Thu, 17 Sep 2009 11:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Thu, 17 Sep 2009 11:18:03 GMT) Full text and rfc822 format available.

Message #63 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Modestas Vainius <modestas@vainius.eu>
Cc: 544674@bugs.debian.org, Denis Barbier <bouzim@gmail.com>, "A. Maitland Bottoms" <bottoms@debian.org>, 545335@bugs.debian.org, Luk Claes <luk@debian.org>
Subject: Re: Bug#544674:
Date: Thu, 17 Sep 2009 12:42:08 +0200
Because gdcm is build with parallel option the output was garbaged
from the 'more' page. Instead it should have read:

On Thu, Sep 17, 2009 at 12:39 PM, Mathieu Malaterre
<mathieu.malaterre@gmail.com> wrote:
> gdcm/powerpc tail of last log:
>


gdcm/powerpc tail of last log:

make[3]: Entering directory
`/build/buildd-gdcm_2.0.12-11-powerpc-i0ZkKj/gdcm-2.0.12/debian/build-python2.5'
[ 93%] Python Wrapping - generating vtkgdcmPythonInit.cxx
[ 93%] Python Wrapping - generating vtkGDCMTestingPython.cxx
[ 93%] Python Wrapping - generating vtkGDCMImageReaderPython.cxx
[ 93%] Python Wrapping - generating vtkGDCMImageWriterPython.cxx
[ 94%] Python Wrapping - generating vtkGDCMMedicalImagePropertiesPython.cxx
[ 94%] Python Wrapping - generating vtkGDCMThreadedImageReaderPython.cxx
[ 94%] Python Wrapping - generating vtkImageColorViewerPython.cxx
[ 94%] Python Wrapping - generating vtkImageMapToWindowLevelColors2Python.cxx
[ 94%] Python Wrapping - generating vtkImageYBRToRGBPython.cxx
[ 95%] Python Wrapping - generating vtkImageRGBToYBRPython.cxx
[ 95%] Python Wrapping - generating vtkGDCMPolyDataReaderPython.cxx
[ 95%] Python Wrapping - generating vtkLookupTable16Python.cxx
[ 95%] Python Wrapping - generating vtkImageMapToColors16Python.cxx
[ 96%] Python Wrapping - generating vtkGDCMThreadedImageReader2Python.cxx
make[3]: *** No rule to make target
`/usr/lib/jvm/default-java/jre/lib/powerpc/libjawt.so', needed by
`bin/libvtkgdcmJava.so'.  Stop.
make[3]: *** Waiting for unfinished jobs....
[ 96%] [ 96%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkImageMapToColors16Java.cxx.o
Scanning dependencies of target vtkgdcmPythonD
Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkGDCMThreadedImageReader2Java.cxx.o
make[3]: Leaving directory
`/build/buildd-gdcm_2.0.12-11-powerpc-i0ZkKj/gdcm-2.0.12/debian/build-python2.5'


Ref:
https://buildd.debian.org/fetch.cgi?pkg=gdcm&arch=powerpc&ver=2.0.12-11&stamp=1252573316&file=log&as=raw
-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Thu, 17 Sep 2009 11:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Thu, 17 Sep 2009 11:24:11 GMT) Full text and rfc822 format available.

Message #68 received at 544674@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 544674@bugs.debian.org, Denis Barbier <bouzim@gmail.com>, "A. Maitland Bottoms" <bottoms@debian.org>, 545335@bugs.debian.org, Luk Claes <luk@debian.org>
Subject: Re: Bug#544674:
Date: Thu, 17 Sep 2009 14:02:16 +0300
[Message part 1 (text/plain, inline)]
Hello,

On ketvirtadienis 17 Rugsėjis 2009 13:39:46 Mathieu Malaterre wrote:
> On Thu, Sep 17, 2009 at 12:33 PM, Mathieu Malaterre
> 
> <mathieu.malaterre@gmail.com> wrote:
> >> echo JAVA_AWT_LIBRARY:FILEPATH=/usr/lib/jvm/default-
> >> java/jre/lib/$(DEB_HOST_ARCH_CPU)/libjawt.so >> Build/CMakeCache.txt
> 
> As a side note here is the output of what is happening without those
> two lines and using the old FindJNI.cmake:
> 
> https://buildd.debian.org/~luk/status/package.php?p=gdcm

That's not true. Those failures are an example of cmake "leaking" link 
interface libraries from vtk (with the help of vtk cmake hackery of course). I 
grep'ed gcdm sources a bit and I'm 100% sure vtkgdcmJava did not request to be 
linked with libjawt.so, it probably does not need jawt at all. That jawt link 
dependency came from libvtk5-dev (/usr/lib/vtk-5.2/VTKLibraryDepends.cmake). 
So here you also have an explanation why it searches for a weird path on armel 
and where it came from...

We faced this in KDE and rather successfully solved the issue. cmake 2.6 has 
proper means to fight this "linking the whole world together" problem with its 
LINK_INTERFACE_LIBRARIES property and support for IMPORTED targets. So it is 
time for vtk to properly use those.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Thu, 17 Sep 2009 11:36:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Thu, 17 Sep 2009 11:36:30 GMT) Full text and rfc822 format available.

Message #73 received at 544674@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 544674@bugs.debian.org, Denis Barbier <bouzim@gmail.com>, "A. Maitland Bottoms" <bottoms@debian.org>, 545335@bugs.debian.org, Luk Claes <luk@debian.org>
Subject: Re: Bug#544674:
Date: Thu, 17 Sep 2009 14:26:05 +0300
[Message part 1 (text/plain, inline)]
Hello,

On ketvirtadienis 17 Rugsėjis 2009 13:33:24 Mathieu Malaterre wrote:
> 
> I would think that DD cannot replace whatever choice is being done
>  upstream.

I'm not going to replace anything, I'm going to talk with cmake upstream about 
this.

> > Secondly, fixing #544674 bug will NOT fix #545335. Current FindJNI.cmake
> > refers to $JAVA_HOME/ppc in the search path as it is supposed to
> > (according to openjdk-6-jre-headless package).
> 
> There is no convention AFAIK. So unless you inspect all of them you
> will *not* find libjawt.so.

Well, I've found how openjdk determines its libarch dir and mostly have proper 
cmake code for it.

> The actual proper fix in debian would be to have all libjawt.so
> provider to install the symlinks properly.

> > Don't you find it weird that vtk builds just
> > *fine* with FindJNI.cmake on arches it supposedly does NOT support
> > (according to this bug) but fails on powerpc which it supports properly?
> > This bug obviously attracted too much false attention.
> 
> No it does not build, see your own remark below.
> 
> > FWIW, from vtk debian/rules:
> >
> > echo JAVA_AWT_LIBRARY:FILEPATH=/usr/lib/jvm/default-
> > java/jre/lib/$(DEB_HOST_ARCH_CPU)/libjawt.so >> Build/CMakeCache.txt
> 
> That's just wrong. cmake is doing system inspection. This was written
> by someone not knowing the cmake enough.

That's a workaround for broken FindJNI, it could be improved a bit to exclude 
i386,amd64,powerpc where FindJNI does its job well.

> > So that's where the powerpc FTBFS is coming from. It *overrides* proper
> > value FindJNI sets on powerpc. It is also true that you cannot drop this
> > workaround until #544674 is fixed. You will have to improve it.
> 
> You missed earlier discussion, I do not know why Maitland push the
> issue over to you without the full discussion thread. If you look back
> in the history reverting the change will also break in other way.
> So in summary: you have to do system inspection because no DEB_*_ARCH
> / DEB_*_CPU will work on all combination of java package provider for
> libjawt.so

I know I have to do it. And I will. Just don't push this as critical bug which 
holds testing migration. It does not. All you have to do is to patch up vtk 
packaging a bit. It is broken anyway.

> I can understand that you would prefer another solution (I also
> personnaly do), but for the time being there is no convention for
> debian package providing libjawt.so and symlinks are not always
> provided.

So you just added Debian arches. What about linux arches debian does not 
support? I'm trying to think about broader issue here.

> I'd really see VTK / ITK / Slicer / GDCM being considered for testing
> for such a small issue that is so deeply burried in cmake internals.
> 
> cmake will soon be released so this patch will be integrated anyway.

The point is vtk NEEDS sourceful upload even if I fix FindJNI. Please don't 
put it like cmake is blocking something here. Just exclude i386,amd64,powerpc 
in vtk debian/rules for the time being to get quick resolution.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Thu, 17 Sep 2009 12:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Thu, 17 Sep 2009 12:39:08 GMT) Full text and rfc822 format available.

Message #78 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Modestas Vainius <modestas@vainius.eu>
Cc: 544674@bugs.debian.org, Denis Barbier <bouzim@gmail.com>, "A. Maitland Bottoms" <bottoms@debian.org>, 545335@bugs.debian.org, Luk Claes <luk@debian.org>
Subject: Re: Bug#544674:
Date: Thu, 17 Sep 2009 14:35:04 +0200
On Thu, Sep 17, 2009 at 1:26 PM, Modestas Vainius <modestas@vainius.eu> wrote:
>> > Secondly, fixing #544674 bug will NOT fix #545335. Current FindJNI.cmake
>> > refers to $JAVA_HOME/ppc in the search path as it is supposed to
>> > (according to openjdk-6-jre-headless package).
>>
>> There is no convention AFAIK. So unless you inspect all of them you
>> will *not* find libjawt.so.
>
> Well, I've found how openjdk determines its libarch dir and mostly have proper
> cmake code for it.

Excellent. How about all the other ones ?
http://packages.debian.org/search?suite=sid&searchon=contents&keywords=libjawt.so

>> That's just wrong. cmake is doing system inspection. This was written
>> by someone not knowing the cmake enough.
>
> That's a workaround for broken FindJNI, it could be improved a bit to exclude
> i386,amd64,powerpc where FindJNI does its job well.

Well FindJNI is an interface, it should work regardless of CPU/ARCH.

>> You missed earlier discussion, I do not know why Maitland push the
>> issue over to you without the full discussion thread. If you look back
>> in the history reverting the change will also break in other way.
>> So in summary: you have to do system inspection because no DEB_*_ARCH
>> / DEB_*_CPU will work on all combination of java package provider for
>> libjawt.so
>
> I know I have to do it. And I will. Just don't push this as critical bug which
> holds testing migration. It does not. All you have to do is to patch up vtk
> packaging a bit. It is broken anyway.

True.

>> I can understand that you would prefer another solution (I also
>> personnaly do), but for the time being there is no convention for
>> debian package providing libjawt.so and symlinks are not always
>> provided.
>
> So you just added Debian arches. What about linux arches debian does not
> support? I'm trying to think about broader issue here.

Correct it will fails miserably. I just do not know how to deal with
that in a portable manner. I haven't found any documentation that
describe where libjawt.so should be located.

>> I'd really see VTK / ITK / Slicer / GDCM being considered for testing
>> for such a small issue that is so deeply burried in cmake internals.
>>
>> cmake will soon be released so this patch will be integrated anyway.
>
> The point is vtk NEEDS sourceful upload even if I fix FindJNI. Please don't
> put it like cmake is blocking something here. Just exclude i386,amd64,powerpc
> in vtk debian/rules for the time being to get quick resolution.

Well the patch you describe in your other mail:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544674#68

has just been applied upstream (thanks to Denis Barbier), it took
*several* round to get it right (Denis, Berk, Jeff, Brad and I did
work on that patch). I doubt anyone will actually spent the time to
integrate this large patch to VTK 5.2 since it is so old. VTK 5.4 is
out and VTK 5.6 should come out soon.

So I thought -again for the time being- that this modest patch was ok.

-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Thu, 17 Sep 2009 13:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Thu, 17 Sep 2009 13:36:05 GMT) Full text and rfc822 format available.

Message #83 received at 544674@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 544674@bugs.debian.org, Denis Barbier <bouzim@gmail.com>, "A. Maitland Bottoms" <bottoms@debian.org>, 545335@bugs.debian.org, Luk Claes <luk@debian.org>
Subject: Re: Bug#544674:
Date: Thu, 17 Sep 2009 16:23:39 +0300
[Message part 1 (text/plain, inline)]
Hello,

On ketvirtadienis 17 Rugsėjis 2009 15:35:04 Mathieu Malaterre wrote:
> On Thu, Sep 17, 2009 at 1:26 PM, Modestas Vainius <modestas@vainius.eu> 
wrote:
> >> > Secondly, fixing #544674 bug will NOT fix #545335. Current
> >> > FindJNI.cmake refers to $JAVA_HOME/ppc in the search path as it is
> >> > supposed to (according to openjdk-6-jre-headless package).
> >>
> >> There is no convention AFAIK. So unless you inspect all of them you
> >> will *not* find libjawt.so.
> >
> > Well, I've found how openjdk determines its libarch dir and mostly have
> > proper cmake code for it.
> 
> Excellent. How about all the other ones ?
> http://packages.debian.org/search?suite=sid&searchon=contents&keywords=libj
> awt.so

openjdk libarch dir is the most complex one. Due to its proprietary nature, 
openjdk does some hardly explainable hacks with `uname -m`. Other JVMs are 
plain `uname -m` (kaffe) or no libarch subdir at all (gcj). Plain simple I 
would say.

> >> That's just wrong. cmake is doing system inspection. This was written
> >> by someone not knowing the cmake enough.
> >
> > That's a workaround for broken FindJNI, it could be improved a bit to
> > exclude i386,amd64,powerpc where FindJNI does its job well.
> 
> Well FindJNI is an interface, it should work regardless of CPU/ARCH.

That's exactly the point. It SHOULD. That's the reason I don't like library 
path hardcoding like your patch does.

> >> I can understand that you would prefer another solution (I also
> >> personnaly do), but for the time being there is no convention for
> >> debian package providing libjawt.so and symlinks are not always
> >> provided.
> >
> > So you just added Debian arches. What about linux arches debian does not
> > support? I'm trying to think about broader issue here.
> 
> Correct it will fails miserably. I just do not know how to deal with
> that in a portable manner. I haven't found any documentation that
> describe where libjawt.so should be located.

Because there are no docs about this. stuff is hidden deeply in java build 
system and *linux* specific hacks to discover that path at runtime. Java paths 
are a huge MESS.

> Well the patch you describe in your other mail:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544674#68
> 
> has just been applied upstream (thanks to Denis Barbier), it took
> *several* round to get it right (Denis, Berk, Jeff, Brad and I did
> work on that patch).

Yeah, it is hard to get that right.

> I doubt anyone will actually spent the time to
> integrate this large patch to VTK 5.2 since it is so old. VTK 5.4 is
> out and VTK 5.6 should come out soon.

Since it is fixed in 5.4, leave upstream stuff in 5.2 as it is (it would be 
pointless to waste time on fixing obsolete stuff). Just fix up VTK 5.2 
packaging hack now (a single ifeq line in debian/rules) and good path to 
libjawt.so will propagate to all vtk rdeps as a result. This will solve 
FTBFSes and let everything migrate to testing. In the meantime, proper fix for 
FindJNI won't take ages and you will be able to get rid of the hack all 
together really soon.

> So I thought -again for the time being- that this modest patch was ok. 

Maybe for Debian, but definitely not upstream...

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Thu, 17 Sep 2009 13:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Thu, 17 Sep 2009 13:54:06 GMT) Full text and rfc822 format available.

Message #88 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Dominique Belhachemi <domibel@cs.tu-berlin.de>, Modestas Vainius <modestas@vainius.eu>
Cc: 544674@bugs.debian.org
Subject: Fwd: Bug#544674:
Date: Thu, 17 Sep 2009 15:45:12 +0200
[Message part 1 (text/plain, inline)]
Dominique,

  Did you follow the discussion of bug #544674 ? Modestas suggest to
ifdef each case to pass buildd step.


  Do you have time to fix the FTBS ? Here is the important part:


---------- Forwarded message ----------
From: Modestas Vainius <>
Date: Thu, Sep 17, 2009 at 3:23 PM
Subject: Re: Bug#544674:

<...>

Since it is fixed in 5.4, leave upstream stuff in 5.2 as it is (it would be
pointless to waste time on fixing obsolete stuff). Just fix up VTK 5.2
packaging hack now (a single ifeq line in debian/rules) and good path to
libjawt.so will propagate to all vtk rdeps as a result. This will solve
FTBFSes and let everything migrate to testing. In the meantime, proper fix for
FindJNI won't take ages and you will be able to get rid of the hack all
together really soon.

<...>

Ref:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544674#83


Thanks,
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Thu, 17 Sep 2009 14:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Thu, 17 Sep 2009 14:00:07 GMT) Full text and rfc822 format available.

Message #93 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Dominique Belhachemi <domibel@cs.tu-berlin.de>, Modestas Vainius <modestas@vainius.eu>
Cc: 544674@bugs.debian.org
Subject: Re: Bug#544674:
Date: Thu, 17 Sep 2009 15:52:33 +0200
How about:

 libjawt=$(shell find /usr/lib/jvm/default-java/ -name libjawt.so)

2cts

On Thu, Sep 17, 2009 at 3:45 PM, Mathieu Malaterre
<mathieu.malaterre@gmail.com> wrote:
> Dominique,
>
>  Did you follow the discussion of bug #544674 ? Modestas suggest to
> ifdef each case to pass buildd step.
>
>
>  Do you have time to fix the FTBS ? Here is the important part:
>
>
> ---------- Forwarded message ----------
> From: Modestas Vainius <>
> Date: Thu, Sep 17, 2009 at 3:23 PM
> Subject: Re: Bug#544674:
>
> <...>
>
> Since it is fixed in 5.4, leave upstream stuff in 5.2 as it is (it would be
> pointless to waste time on fixing obsolete stuff). Just fix up VTK 5.2
> packaging hack now (a single ifeq line in debian/rules) and good path to
> libjawt.so will propagate to all vtk rdeps as a result. This will solve
> FTBFSes and let everything migrate to testing. In the meantime, proper fix for
> FindJNI won't take ages and you will be able to get rid of the hack all
> together really soon.
>
> <...>
>
> Ref:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544674#83
>
>
> Thanks,
>



-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Thu, 17 Sep 2009 14:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Thu, 17 Sep 2009 14:03:09 GMT) Full text and rfc822 format available.

Message #98 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Dominique Belhachemi <domibel@cs.tu-berlin.de>
Cc: 544674@bugs.debian.org
Subject: Re: Bug#544674:
Date: Thu, 17 Sep 2009 15:58:43 +0200
Only first result:

$(shell find /usr/lib/jvm/default-java/ -print -quit -name libjawt.so)

On Thu, Sep 17, 2009 at 3:52 PM, Mathieu Malaterre
<mathieu.malaterre@gmail.com> wrote:
> How about:
>
>  libjawt=$(shell find /usr/lib/jvm/default-java/ -name libjawt.so)
>
> 2cts
>
> On Thu, Sep 17, 2009 at 3:45 PM, Mathieu Malaterre
> <mathieu.malaterre@gmail.com> wrote:
>> Dominique,
>>
>>  Did you follow the discussion of bug #544674 ? Modestas suggest to
>> ifdef each case to pass buildd step.
>>
>>
>>  Do you have time to fix the FTBS ? Here is the important part:
>>
>>
>> ---------- Forwarded message ----------
>> From: Modestas Vainius <>
>> Date: Thu, Sep 17, 2009 at 3:23 PM
>> Subject: Re: Bug#544674:
>>
>> <...>
>>
>> Since it is fixed in 5.4, leave upstream stuff in 5.2 as it is (it would be
>> pointless to waste time on fixing obsolete stuff). Just fix up VTK 5.2
>> packaging hack now (a single ifeq line in debian/rules) and good path to
>> libjawt.so will propagate to all vtk rdeps as a result. This will solve
>> FTBFSes and let everything migrate to testing. In the meantime, proper fix for
>> FindJNI won't take ages and you will be able to get rid of the hack all
>> together really soon.
>>
>> <...>
>>
>> Ref:
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544674#83
>>
>>
>> Thanks,
>>
>
>
>
> --
> Mathieu
>



-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Thu, 17 Sep 2009 16:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Belhachemi <domibel@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Thu, 17 Sep 2009 16:33:06 GMT) Full text and rfc822 format available.

Message #103 received at 544674@bugs.debian.org (full text, mbox):

From: Dominique Belhachemi <domibel@cs.tu-berlin.de>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 544674@bugs.debian.org
Cc: Modestas Vainius <modestas@vainius.eu>
Subject: Re: Bug#544674: Fwd: Bug#544674:
Date: Thu, 17 Sep 2009 12:23:30 -0400
[Message part 1 (text/plain, inline)]
I can put a patched FindJNI.cmake to VTK's source package
./vtk-5.2/CMake/FindJNI.cmake

In this case CMake's /usr/share/cmake-2.6/Modules/FindJNI.cmake will not
be used.

The definiton of JAVA_AWT_LIBRARY can then be removed from debian/rules and
debian/CMakeCache.txt.debian

Cheers
Dominique

[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'http://public.kitware.com/Bug/view.php?id=9611'. Request was from Modestas Vainius <modestas@vainius.eu> to control@bugs.debian.org. (Mon, 28 Sep 2009 19:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#544674; Package cmake. (Wed, 30 Sep 2009 13:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Wed, 30 Sep 2009 13:15:09 GMT) Full text and rfc822 format available.

Message #110 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 544674@bugs.debian.org
Subject: Re: Bug#544674:
Date: Wed, 30 Sep 2009 15:09:33 +0200
For reference:

http://cmake.org/Bug/view.php?id=9611

-- 
Mathieu




Reply sent to Modestas Vainius <modestas@vainius.eu>:
You have taken responsibility. (Wed, 30 Sep 2009 19:36:23 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug acknowledged by developer. (Wed, 30 Sep 2009 19:36:23 GMT) Full text and rfc822 format available.

Message #115 received at 544674-close@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: 544674-close@bugs.debian.org
Subject: Bug#544674: fixed in cmake 2.6.4-3
Date: Wed, 30 Sep 2009 18:47:14 +0000
Source: cmake
Source-Version: 2.6.4-3

We believe that the bug you reported is fixed in the latest version of
cmake, which is due to be installed in the Debian FTP archive:

cmake-curses-gui_2.6.4-3_amd64.deb
  to pool/main/c/cmake/cmake-curses-gui_2.6.4-3_amd64.deb
cmake-curses-gui_2.6.4-3_i386.deb
  to pool/main/c/cmake/cmake-curses-gui_2.6.4-3_i386.deb
cmake-data_2.6.4-3_all.deb
  to pool/main/c/cmake/cmake-data_2.6.4-3_all.deb
cmake-qt-gui_2.6.4-3_amd64.deb
  to pool/main/c/cmake/cmake-qt-gui_2.6.4-3_amd64.deb
cmake-qt-gui_2.6.4-3_i386.deb
  to pool/main/c/cmake/cmake-qt-gui_2.6.4-3_i386.deb
cmake_2.6.4-3.diff.gz
  to pool/main/c/cmake/cmake_2.6.4-3.diff.gz
cmake_2.6.4-3.dsc
  to pool/main/c/cmake/cmake_2.6.4-3.dsc
cmake_2.6.4-3_amd64.deb
  to pool/main/c/cmake/cmake_2.6.4-3_amd64.deb
cmake_2.6.4-3_i386.deb
  to pool/main/c/cmake/cmake_2.6.4-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544674@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Modestas Vainius <modestas@vainius.eu> (supplier of updated cmake package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 30 Sep 2009 20:51:13 +0300
Source: cmake
Binary: cmake cmake-data cmake-curses-gui cmake-qt-gui
Architecture: all amd64 i386 source 
Version: 2.6.4-3
Distribution: unstable
Urgency: low
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Changed-By: Modestas Vainius <modestas@vainius.eu>
Closes: 544290 544674 546030
Description:
 cmake      - A cross-platform, open-source make system
 cmake-curses-gui - Curses based user interface for CMake (ccmake)
 cmake-data - CMake data files (modules, templates and documentation)
 cmake-qt-gui - Qt4 based user interface for CMake (cmake-gui)
Changes:
 cmake (2.6.4-3) unstable; urgency=low
 .
   * Bump Standards-Version to 3.8.3, no changes needed.
   * Add ${misc:Depends} to Depends fields of packages.
   * Improve debian/watch:
     - make it scan remote directories recursively;
     - make it work with new upstream RC release mangling.
   * Remove Pierre Habouzit from Uploaders by his own request.
   * Backport FindJNI.cmake from CMake 2.8 CVS in order to make it arch
     independent on Linux. New FindJNI.cmake also supports most Linux arches and
     is capable of finding Sun Java, OpenJDK, Kaffe and GCJ (if latter is
     default-java) JVMs. Support for Debian specific /usr/lib/jvm/default-java is
     also included. Patch FindJNI.cmake-more-arches.diff (Closes: #544674).
   * Backport Modules/FindVTK.cmake from CMake 2.8 CVS. It adds support for VTK
     5.4. Patch FindVTK.cmake-vtk-5.4.diff (Closes: #546030).
   * Update debian/copyright with more details (Closes: #544290).
   * Make cmake-curses-gui and cmake-qt-gui packages provide 'cmake-gui'.
Checksums-Sha1: 
 10e3bb135cfc397107ff0e77dfbb5308730eb20c 3815360 cmake_2.6.4-3_i386.deb
 1809af25671404ef6171bcd411eb8e59e4f8dcf7 1553342 cmake-qt-gui_2.6.4-3_i386.deb
 7400870fdc15ecb10d6ea022f7a9a9fe409aaa0c 1317034 cmake-curses-gui_2.6.4-3_i386.deb
 8d5c3ef3697a818bec4cab413a8942f8eccf8b8b 20942 cmake_2.6.4-3.diff.gz
 a84555c44e145ad913a7b674419df0d4d86c57a1 1579386 cmake-qt-gui_2.6.4-3_amd64.deb
 ad5143986acca99f058e4a5b0e7a029e6af6a381 1145728 cmake-data_2.6.4-3_all.deb
 cb58bcf63d92659fb1783a8e3c0318905706fcc3 1305 cmake_2.6.4-3.dsc
 e5b671c86f8adc0ae998b170d56aa22a38004754 3888798 cmake_2.6.4-3_amd64.deb
 eeaa1e5883be79b29b4e2b51694dc04f68b60a44 1342816 cmake-curses-gui_2.6.4-3_amd64.deb
Checksums-Sha256: 
 0e6f32cf683e97be06b3a3b359d7144b5c4a781ba992f55dd400fccdaea4bef6 20942 cmake_2.6.4-3.diff.gz
 3929ba265a36cd1189b9e9d3e67a65a35031eb642c820b5111889463d60458a8 1145728 cmake-data_2.6.4-3_all.deb
 5f6f4e8599e90bfee961fab4874ce01a7534cf477fc11bceb262c9f3f8c1028e 1553342 cmake-qt-gui_2.6.4-3_i386.deb
 7d8fba43b3ccdc34cad026677e60c0e60c6ca86348148549e5c41b99f0eca108 1342816 cmake-curses-gui_2.6.4-3_amd64.deb
 9b93d8005df34068b17f06f8c447d1ee1e6ef30acdcbef9d7b2db2ae3fd401ab 3888798 cmake_2.6.4-3_amd64.deb
 fafb2d61ccfd0b1d789ac721220985a7628892c409d82fb69777f53b921b92c6 1305 cmake_2.6.4-3.dsc
 d2c5ef9351395b9f764b4db790518737038d47f5a107a17d90a03d4a1439dbbf 1579386 cmake-qt-gui_2.6.4-3_amd64.deb
 d81b97d1f14fb9fb31f270f8f72c5dd3b2dda179e57fa6ad2a6821a8b759773d 3815360 cmake_2.6.4-3_i386.deb
 f1981f10f264c82ff2b5589bad3f310f082cb14cbf4f83a6f47ec25a3be348d7 1317034 cmake-curses-gui_2.6.4-3_i386.deb
Files: 
 24744a2c4347f97060f8d2f527f0bf30 3888798 devel optional cmake_2.6.4-3_amd64.deb
 4307c970af462eed730150e69b673656 1553342 devel optional cmake-qt-gui_2.6.4-3_i386.deb
 49fbd7219cc61a11057a7ad95b2cd6e6 3815360 devel optional cmake_2.6.4-3_i386.deb
 e45fe03431367c241451200cb216dc39 1305 devel optional cmake_2.6.4-3.dsc
 50afb28a89e017994270c4e10830fc08 1579386 devel optional cmake-qt-gui_2.6.4-3_amd64.deb
 5be3d8e0215a5b5c5b7fa0e44156bce5 1342816 devel optional cmake-curses-gui_2.6.4-3_amd64.deb
 6e07383245b74b0e2b1ecbb6795b6902 1317034 devel optional cmake-curses-gui_2.6.4-3_i386.deb
 79caddd430277e32d1647788abd7b610 1145728 devel optional cmake-data_2.6.4-3_all.deb
 b449e1a1cec07da0f289742984a9a132 20942 devel optional cmake_2.6.4-3.diff.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrDo14ACgkQHO9JRnPq4hQn8QCg72LPI3J4pjO615uvz/rHmmfn
L0sAn1pL/uKDrWSu2YoHGbeAB77E+uJd
=bQxz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Nov 2009 07:36:42 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Fri, 30 Apr 2010 12:12:05 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions cmake/2.6.4-3 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 Apr 2010 12:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#544674; Package cmake. (Fri, 30 Apr 2010 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 30 Apr 2010 12:18:03 GMT) Full text and rfc822 format available.


Message #126 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: <544674@bugs.debian.org>,
Date: Fri, 30 Apr 2010 14:25:36 +0200 (CET)
[Message part 1 (text/plain, inline)]
For some reason there has been a regression. As can be seen on mipsel with GDCM:

-- Found Java: /usr/lib/jvm/default-java/bin/java
CMake Error at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:70
(MESSAGE):
 Could NOT find JNI (missing: JAVA_AWT_LIBRARY JAVA_JVM_LIBRARY)
Call Stack (most recent call first):
 /usr/share/cmake-2.8/Modules/FindJNI.cmake:211
(FIND_PACKAGE_HANDLE_STANDARD_ARGS)
 Wrapping/Java/CMakeLists.txt:19 (FIND_PACKAGE)



Ref:
https://buildd.debian.org/fetch.cgi?pkg=gdcm&arch=mipsel&ver=2.0.14-5&stamp=1272626721&file=log&as=raw



[signature.asc (application/pgp-signature, attachment)]

Bug Marked as found in versions cmake/2.8.1-2. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sat, 01 May 2010 07:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#544674; Package cmake. (Sat, 01 May 2010 07:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Sat, 01 May 2010 07:39:03 GMT) Full text and rfc822 format available.

Message #133 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 544674@bugs.debian.org
Date: Sat, 1 May 2010 09:37:30 +0200
Same goes for armel:

ref:
https://buildd.debian.org/fetch.cgi?pkg=gdcm&arch=armel&ver=2.0.14-5&stamp=1272631069&file=log&as=raw

gdcm/armel tail of last log:

-- Searching 16 bit integer
-- Looking for sys/types.h
-- Looking for sys/types.h - found
-- Looking for stdint.h
-- Looking for stdint.h - found
-- Looking for stddef.h
-- Looking for stddef.h - found
-- Check size of unsigned short
-- Check size of unsigned short - done
-- Using unsigned short
-- Check if the system is big endian - little endian
-- Found PythonLibs: /usr/lib/libpython2.5.so
-- Java version 1.6.0.18 configured successfully!
-- Found Java: /usr/lib/jvm/default-java/bin/java
CMake Error at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:70
(MESSAGE):
  Could NOT find JNI (missing: JAVA_AWT_LIBRARY JAVA_JVM_LIBRARY)
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindJNI.cmake:211
(FIND_PACKAGE_HANDLE_STANDARD_ARGS)
  Wrapping/Java/CMakeLists.txt:19 (FIND_PACKAGE)


-- Configuring incomplete, errors occurred!
make: *** [debian/configure-python2.5-stamp] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#544674; Package cmake. (Sat, 01 May 2010 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Sat, 01 May 2010 08:39:03 GMT) Full text and rfc822 format available.

Message #138 received at 544674@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 544674@bugs.debian.org
Subject: Re: Bug#544674:
Date: Sat, 1 May 2010 11:33:51 +0300
[Message part 1 (text/plain, inline)]
Hello,

On šeštadienis 01 Gegužė 2010 10:37:30 Mathieu Malaterre wrote:
> Same goes for armel:
> 
> ref:
> https://buildd.debian.org/fetch.cgi?pkg=gdcm&arch=armel&ver=2.0.14-5&stamp=
> 1272631069&file=log&as=raw
> 
> gdcm/armel tail of last log:

What makes you believe this is cmake bug?


-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#544674; Package cmake. (Sat, 01 May 2010 14:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Sat, 01 May 2010 14:48:03 GMT) Full text and rfc822 format available.

Message #143 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Modestas Vainius <modestas@vainius.eu>
Cc: 544674@bugs.debian.org
Subject: Re: Bug#544674:
Date: Sat, 1 May 2010 16:45:17 +0200
On Sat, May 1, 2010 at 10:33 AM, Modestas Vainius <modestas@vainius.eu> wrote:
> Hello,
>
> On šeštadienis 01 Gegužė 2010 10:37:30 Mathieu Malaterre wrote:
>> Same goes for armel:
>>
>> ref:
>> https://buildd.debian.org/fetch.cgi?pkg=gdcm&arch=armel&ver=2.0.14-5&stamp=
>> 1272631069&file=log&as=raw
>>
>> gdcm/armel tail of last log:
>
> What makes you believe this is cmake bug?

FindJNI.cmake as shipped in cmake 2.8 (using a patch by you, if you
remember) does not work on armel and mipsel. Please re-review your
previously submitted patch, and double-check why your patch does not
work for mipsel and armel.

Here is your post that rejected my patch:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544674#49

Thanks
-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#544674; Package cmake. (Sat, 01 May 2010 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Sat, 01 May 2010 15:24:03 GMT) Full text and rfc822 format available.

Message #148 received at 544674@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 544674@bugs.debian.org
Subject: Re: Bug#544674:
Date: Sat, 1 May 2010 18:21:58 +0300
[Message part 1 (text/plain, inline)]
Hello,

On šeštadienis 01 Gegužė 2010 17:45:17 Mathieu Malaterre wrote:
> FindJNI.cmake as shipped in cmake 2.8 (using a patch by you, if you
> remember) does not work on armel and mipsel. Please re-review your
> previously submitted patch, and double-check why your patch does not
> work for mipsel and armel.
> 
> Here is your post that rejected my patch:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544674#49

That was not my original question but nevermind. Apparently changes (not mine) 
in 2.8.1 broke things again. Sigh.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Sat, 01 May 2010 20:12:06 GMT) Full text and rfc822 format available.

Added indication that bug 544674 blocks 579959 Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Mon, 03 May 2010 10:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#544674; Package cmake. (Mon, 03 May 2010 10:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Mon, 03 May 2010 10:39:08 GMT) Full text and rfc822 format available.

Message #157 received at 544674@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Julien Cristau <jcristau@debian.org>, 579959@bugs.debian.org, <544674@bugs.debian.org>,
Subject: Re: [Debian-med-packaging] Bug#579959: gdcm: FTBFS on mipsel and armel, unable to find java
Date: Mon, 3 May 2010 12:50:04 +0200 (CET)
[Message part 1 (text/plain, inline)]
I have added a block by to : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544674

Hopefully things should be sorted out quickly as I see 544674 is marked as 'pending'.

Thanks for report

On Sun, May 2, 2010 at 6:26 PM, Julien Cristau <jcristau@debian.org> wrote:
> Package: gdcm
> Version: 2.0.14-5
> Severity: serious
> Justification: no longer builds from source
>
> See
> https://buildd.debian.org/fetch.cgi?&pkg=gdcm&ver=2.0.14-5&arch=armel&stamp=1272631069&file=log
> and
> https://buildd.debian.org/fetch.cgi?&pkg=gdcm&ver=2.0.14-5&arch=mipsel&stamp=1272626721&file=log
>
> This is a blocker for the vtk transition, so would be nice to have fixed
> soon.
>
> Cheers,
> Julien
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.10 (GNU/Linux)
>
> iQIcBAEBCAAGBQJL3afFAAoJEDEBgAUJBeQMAgIP+wWPWr0razKsNicwRC0TMQEg
> zq5KchsDsGgzh14NyfXSRJMrRiwTDbSpdS0Q2Mqg+en9CczUpTjGtxFruAElCYzH
> vvQTBik0aEqs22WTMwYy7g/JK8sMwxc8AdpWE0gJC7uq5bCDEpv5XApfmSIR/RaJ
> x5QxoXOUhik2mSkDAss7LiyfrZUG3ANIJZRp6DVSGWbjc7VDau4728+hwlouWXdU
> 04DHS7KwVRp6HqCHnf6iyRebJFGseNOGjMtRvVr3oMjpvXZZeM3Fgm5JGGlfyRQq
> wb8AYg+fSMO0dUVONLevJML2FJX58MiGh+l0AvdgrUgguoZxgDue/NgZaShcjEyJ
> xfYl/UBMEwLZuYDjNxi7LrCqxrPKQOClIKPCQlNeeFmin7e9qkNbsAJW/02Puvm7
> X1cn7KOLZY+sLcA8rjWC75QxusDGR4IBCKgaZRDtxkzCiPdRfgrAPszvAqCD8pEZ
> JbXK6hBR3AeJOtA0X6VW261ZuNWt2fPPBYFUL8hHf3HA78liAWizOnHpao8+KU70
> eInKoKsjtQlAzbG+NpI404kJWsHQvy3ztPWdjjD2poboJLQL1hrsmwGMdSyqvHz6
> vqWs1IvvcnXQky0X0WTEvti35v7shA1uyR7MUnst85DK/DjSXDn6tu2/3flW7KLs
> HTKg7wJGrqUE0qtNMojZ
> =xRfe
> -----END PGP SIGNATURE-----
>
> _______________________________________________
> Debian-med-packaging mailing list
> Debian-med-packaging@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/debian-med-packaging
>



-- 
Mathieu

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#544674; Package cmake. (Mon, 03 May 2010 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Mon, 03 May 2010 16:27:03 GMT) Full text and rfc822 format available.

Message #162 received at 544674@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 544674@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, 579959@bugs.debian.org
Subject: Re: Bug#544674: [Debian-med-packaging] Bug#579959: gdcm: FTBFS on mipsel and armel, unable to find java
Date: Mon, 3 May 2010 19:24:09 +0300
[Message part 1 (text/plain, inline)]
Hello,

On pirmadienis 03 Gegužė 2010 13:50:04 Mathieu Malaterre wrote:
> I have added a block by to :
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544674
> 
> Hopefully things should be sorted out quickly as I see 544674 is marked as
> 'pending'.

Well, I presumably fixed the bug but currently KDE transition is in progress 
and I don't want to disturb slow weird arches with cmake upload. Therefore 
this will have to wait a bit (maybe a week). Sorry.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Reply sent to Modestas Vainius <modax@debian.org>:
You have taken responsibility. (Wed, 05 May 2010 10:51:07 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug acknowledged by developer. (Wed, 05 May 2010 10:51:07 GMT) Full text and rfc822 format available.

Message #167 received at 544674-close@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: 544674-close@bugs.debian.org
Subject: Bug#544674: fixed in cmake 2.8.1-3
Date: Wed, 05 May 2010 10:50:16 +0000
Source: cmake
Source-Version: 2.8.1-3

We believe that the bug you reported is fixed in the latest version of
cmake, which is due to be installed in the Debian FTP archive:

cmake-curses-gui_2.8.1-3_amd64.deb
  to main/c/cmake/cmake-curses-gui_2.8.1-3_amd64.deb
cmake-data_2.8.1-3_all.deb
  to main/c/cmake/cmake-data_2.8.1-3_all.deb
cmake-qt-gui_2.8.1-3_amd64.deb
  to main/c/cmake/cmake-qt-gui_2.8.1-3_amd64.deb
cmake_2.8.1-3.debian.tar.gz
  to main/c/cmake/cmake_2.8.1-3.debian.tar.gz
cmake_2.8.1-3.dsc
  to main/c/cmake/cmake_2.8.1-3.dsc
cmake_2.8.1-3_amd64.deb
  to main/c/cmake/cmake_2.8.1-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544674@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Modestas Vainius <modax@debian.org> (supplier of updated cmake package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 05 May 2010 11:49:57 +0300
Source: cmake
Binary: cmake cmake-data cmake-curses-gui cmake-qt-gui
Architecture: source amd64 all
Version: 2.8.1-3
Distribution: unstable
Urgency: medium
Maintainer: Modestas Vainius <modax@debian.org>
Changed-By: Modestas Vainius <modax@debian.org>
Description: 
 cmake      - A cross-platform, open-source make system
 cmake-curses-gui - Curses based user interface for CMake (ccmake)
 cmake-data - CMake data files (modules, templates and documentation)
 cmake-qt-gui - Qt4 based user interface for CMake (cmake-gui)
Closes: 544674 577516 579718
Changes: 
 cmake (2.8.1-3) unstable; urgency=medium
 .
   * Add patches:
     - FindJNI_fix_libarch_determination.dif - rewrite _java_libarch
       determination code in FindJNI.cmake (based on OpenJDK 1.6.0_18 + icedtea
       patches). This should fix invalid _java_libarch detection on mipsel and
       armel (Closes: #544674).
     - FindGTK2_pangommconfig.diff - look for Pangomm Config include directory
       in FindGTK2.cmake (Closes: #579718). Thanks to Sune Vuorela for the
       patch.
   * Add gcc and make to cmake Suggests (Closes: #577516).
   * Rename (to kFreeBSD_Hurd_fixes.diff) and improve kFreeBSD_fixes.diff to fix
     FTBFS on GNU/Hurd as well.
   * Urgency=medium to minimize negative impact on KDE transition.
Checksums-Sha1: 
 e77e352d0a6ea74e68e3208819187757ea68f979 1292 cmake_2.8.1-3.dsc
 0c7e5d1d725f08d61bd97b0e2d3a26e2d20f2a71 19814 cmake_2.8.1-3.debian.tar.gz
 4870632b6f117dbdef76cdc41770a7d6f02cd5a5 4785986 cmake_2.8.1-3_amd64.deb
 1a7d347c379334980be4ecc9b2627ce5d4e2549b 1978970 cmake-data_2.8.1-3_all.deb
 bf7ed2acb522b43710e80c3b218290ad44621463 2001848 cmake-curses-gui_2.8.1-3_amd64.deb
 c72b51fc7bf7c0963ee99dc14cf65050843f826a 2319376 cmake-qt-gui_2.8.1-3_amd64.deb
Checksums-Sha256: 
 a785c2ffa81cdc41299c653fc74a9e3c6c479e7187808ca184ba1535ba6532a4 1292 cmake_2.8.1-3.dsc
 3b2b89a01f6901768e0b3de2600164aa5a18da093edd58cab6b6c36cd95b5904 19814 cmake_2.8.1-3.debian.tar.gz
 d877e195413dafcecfc38d3f7236528446d02376c357eb3d46483d55c64dcf99 4785986 cmake_2.8.1-3_amd64.deb
 3b245b64b51651e1e08b62c998d830daf89297fcd52ea35e483911695d3ac28b 1978970 cmake-data_2.8.1-3_all.deb
 88d7b0c5175ab22a2afef81ab1349380f6c0f92e5b3a0a9e56f994663a45d9ce 2001848 cmake-curses-gui_2.8.1-3_amd64.deb
 9e3cb4a45c12d08131472cc000ce5c8c5845514078f7f03615e574d482064d5e 2319376 cmake-qt-gui_2.8.1-3_amd64.deb
Files: 
 36ab4c0fe6bd2530f5968ffc06acae8a 1292 devel optional cmake_2.8.1-3.dsc
 7e0ae3a184b41c478158f16ea77ad359 19814 devel optional cmake_2.8.1-3.debian.tar.gz
 b2db51038b6fbefccd0fb30caf531fae 4785986 devel optional cmake_2.8.1-3_amd64.deb
 c5550edbaf528f0c02a90003ed61e899 1978970 devel optional cmake-data_2.8.1-3_all.deb
 7560670ed195f55be4853955c37c9d0d 2001848 devel optional cmake-curses-gui_2.8.1-3_amd64.deb
 764494a437d0a1d01e130e150646bde0 2319376 devel optional cmake-qt-gui_2.8.1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEUEARECAAYFAkvhOuAACgkQHO9JRnPq4hSNcQCfeGH654RLyDJ2vSLIaRPR7+9K
Bn4AmKojCSv6OIBiq/2u1JqNQUp4P00=
=IakH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Jun 2010 07:38:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:06:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.